## igor 1.3.0+dfsg

=== pygor/requirements.txt ===
pandas>=0.20.1
numpy>=1.9.2
scipy>=1.0.0
matplotlib>=2.0.2
biopython>=1.70

=== debian/changelog ===
igor (1.3.0+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:12 +0100

igor (1.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Debian Med team maintenance
  * Fix watch file
  * Standards-Version: 4.2.1
  * Add missing Build-Depends: libatlas-base-dev | libcblas-dev
  * Fix for gcc-8 does not expose inline definitions to other source files
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sat, 26 Jan 2019 17:21:02 +0100

igor (1.2.0+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #901737) to experimental:
    - no man page
    - documentation not built

 -- Steffen Moeller <moeller@debian.org>  Sun, 17 Jun 2018 17:35:52 +0200

=== debian/control ===
Source: igor
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               libjemalloc-dev,
               libgsl-dev,
               libatlas-base-dev | libcblas-dev
# #Build-Depends-Indep: debhelper (>= 11),
# doxygen
# asciidoc,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/igor
Vcs-Git: https://salsa.debian.org/med-team/igor.git
Homepage: https://github.com/qmarcou/IGoR/

Package: igor
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: infers V(D)J recombination processes from sequencing data
 IGoR (Inference and Generation of Repertoires) is a versatile software
 to analyze and model immune receptors generation, selection, mutation
 and all other processes.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_CFLAGS_MAINT_APPEND  =  -I/usr/include/gsl
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

#override_dh_build-indep:
#	doxygen doxygen.config

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/latex
	rm -rf docs/html
	rm -rf config.guess config.sub

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/qmarcou/IGoR/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## igor 1.4.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 export DEB_CFLAGS_MAINT_APPEND  =  -I/usr/include/gsl
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 
 %:
@@ -26,3 +25,12 @@
 	rm -rf docs/latex
 	rm -rf docs/html
 	rm -rf config.guess config.sub
+
+
+override_dh_fixperms:
+	dh_fixperms
+	find debian -name "*.fasta" -exec chmod -x \{\} \;
+
+override_dh_installman:
+	mv debian/igor1 debian/igor.1
+	dh_installman

## igor 1.4.0+dfsg

=== debian/changelog ===
igor (1.4.0+dfsg-3build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:32:38 +0000

igor (1.4.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Andreas Tille <tille@debian.org>  Thu, 14 Oct 2021 11:15:31 +0200

igor (1.4.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix gcc-10 build
    Closes: #966868
  * debhelper-compat 13 (routine-update)
  * Do not use outdated libcblas any more

 -- Andreas Tille <tille@debian.org>  Wed, 05 Aug 2020 18:37:57 +0200

igor (1.4.0+dfsg-1) unstable; urgency=medium

  * Team Upload.

  [ Steffen Möller ]
  * Added ref to conda

  [ Nilesh Patra ]
  * Add autopkgtests
  * Fix permissions of fasta files
  * Add manpage for binary
  * Workaround to install manpage as igor.1 is in .gitignore
  * Drop compat, switch to debhelper-compat
  * Add 'Rules-Requires-Root:no'
  * Bump standards version to 4.5.0
  * Update upstream/metadata

  [ Andreas Tille ]
  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 14 Apr 2020 14:50:52 +0530

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: igor
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                libjemalloc-dev,
                libgsl-dev,
-               libatlas-base-dev | libcblas-dev
-# #Build-Depends-Indep: debhelper (>= 11),
+               libblas-dev | libblas.so
 # doxygen
 # asciidoc,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/igor
 Vcs-Git: https://salsa.debian.org/med-team/igor.git
 Homepage: https://github.com/qmarcou/IGoR/
+Rules-Requires-Root: no
 
 Package: igor
 Architecture: any

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/qmarcou/IGoR/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@
